create table hughejj1_003_screen as
select distinct m.person_id, m.measurement_datetime, a.assay_id, m.value_source_value as value_raw
from measurement as m
inner join hughejj1_003_first_visit as v
on m.person_id = v.person_id
inner join hughejj1_003_assay_metadata as a
on m.measurement_source_value = a.assay_id
where m.measurement_date >= a.min_date
and m.measurement_date >= v.first_visit_date + cast((select max_days_valid from hughejj1_003_params) || ' days' as interval)
